---
- name: Get all hosts facts
  hosts: all
  become: true
  tasks: []

- hosts: zammad
  vars_files:
    - ../vars/ssh.yml
    - ../vars/zammad.yml
    - ../vars/secrets.yml
  roles:
    - {role: ansible-firewall-docker, become: true, tags: ["firewall"]}
    - {role: ansible-backupninja, become: true, tags: ["backup", "app", "backupninja"]}
    - {role: ansible-tarsnap, become: true, tags: ["backup", "app", "tarsnap"], when: "{{tarsnap_enabled}}"}
    - {role: ansible-docker-host, become: true, tags: ["app"]}
    - {role: ansible-docker-zammad, become: true, tags: ["zammad", "app"]}
  tasks:
    - name: Post Install
      debug:
        msg:
          - "Server Launched: {{ zammad_domain }}"
